Bug 245545 - While playing rhythmbox, rhythmbox sometimes crashes.
While playing rhythmbox, rhythmbox sometimes crashes.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 07:26 EDT by sangu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 13:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-06-25 07:26:04 EDT
Description of problem:
While playing rhythbox, rhythmbox sometimes crashes.

Distribution: Fedora release 7.89 (Rawhide)
Gnome Release: 2.19.4 2007-06-17 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3234.fc8 #1 SMP Fri Jun 22 14:42:58 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Tango

Memory status: size: 184078336 vsize: 184078336 resident: 48054272 share:
29982720 rss: 48054272 rss_rlim: 4294967295
CPU usage: start_time: 1182765802 rtime: 12304 utime: 10381 stime: 1923 cutime:8
cstime: 2 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/rhythmbox'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1209013456 (LWP 6129)]
[New Thread -1327498352 (LWP 6392)]
[New Thread -1260393584 (LWP 6390)]
[New Thread -1302353008 (LWP 6147)]
[New Thread -1291863152 (LWP 6146)]
[New Thread -1281373296 (LWP 6145)]
[New Thread -1270883440 (LWP 6144)]
[New Thread -1230386288 (LWP 6143)]
[New Thread -1249903728 (LWP 6135)]
0x0012d402 in __kernel_vsyscall ()
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x00399c5b in waitpid () from /lib/libpthread.so.0
#2  0x004908d6 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:865
#3  <signal handler called>
#4  0x0019bd02 in soup_connection_disconnect (conn=0xb1a2f0b0)
    at soup-connection.c:699
#5  0x0019bd6d in socket_disconnected (sock=0xb1a2f0f8, conn=0xb1a2f0b0)
    at soup-connection.c:433
#6  0x00e578c9 in IA__g_cclosure_marshal_VOID__VOID (closure=0xb1a0a870, 
    return_value=0x0, n_param_values=1, param_values=0xbfb3762c, 
    invocation_hint=0xbfb3750c, marshal_data=0x19bd50) at gmarshal.c:77
#7  0x00e49eb3 in IA__g_closure_invoke (closure=0xb1a0a870, return_value=0x0, 
    n_param_values=1, param_values=0xbfb3762c, invocation_hint=0xbfb3750c)
    at gclosure.c:490
#8  0x00e5b9ed in signal_emit_unlocked_R (node=0xa40d8c8, detail=0, 
    instance=0xb1a2f0f8, emission_return=0x0, instance_and_params=0xbfb3762c)
    at gsignal.c:2440
#9  0x00e5ce53 in IA__g_signal_emit_valist (instance=0xb1a2f0f8, 
    signal_id=394, detail=0, var_args=0xbfb3786c "\225Îè") at gsignal.c:2199
#10 0x00e5d0f9 in IA__g_signal_emit (instance=0xb1a2f0f8, signal_id=394, 
    detail=0) at gsignal.c:2243
#11 0x001b0e60 in soup_socket_disconnect (sock=0xb1a2f0f8)
    at soup-socket.c:977
#12 0x001b0fc0 in socket_read_watch (chan=0xb1a0f478, 
    cond=<value optimized out>, user_data=0xb1a2f0f8) at soup-socket.c:1071
#13 0x0102982d in g_io_unix_dispatch (source=0xb1a04220, 
    callback=0x1b0f80 <socket_read_watch>, user_data=0xb1a2f0f8)
    at giounix.c:162
#14 0x00ffa0ec in IA__g_main_context_dispatch (context=0x9e98f00)
    at gmain.c:2061
#15 0x00ffd52f in g_main_context_iterate (context=0x9e98f00, block=1, 
    dispatch=1, self=0x9dd6410) at gmain.c:2694
#16 0x00ffd8d9 in IA__g_main_loop_run (loop=0xa0ad658) at gmain.c:2898
#17 0x007e9314 in IA__gtk_main () at gtkmain.c:1144
#18 0x08060cf3 in main ()

Thread 9 (Thread -1249903728 (LWP 6135)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00396126 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00fdcc92 in g_async_queue_pop_intern_unlocked (queue=0x9ecb7d0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00fdd035 in IA__g_async_queue_pop (queue=0x9ecb7d0) at gasyncqueue.c:374
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_async_queue_pop"
#4  0x080ab052 in ?? ()
No symbol table info available.
#5  0x0101d84f in g_thread_create_proxy (data=0xa6618a8) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x003922fb in start_thread (arg=0xb57ffb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb57ffb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1249905576, 479653251, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 8 (Thread -1230386288 (LWP 6143)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00396126 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05783b03 in wait_segment (buf=0xa5d2010) at gstringbuffer.c:1142
	__PRETTY_FUNCTION__ = "wait_segment"
#3  0x05784f88 in gst_ring_buffer_commit_full (buf=0xa5d2010, 
    sample=0xb6a9bc18, data=0x0, in_samples=363, out_samples=363, 
    accum=0xb6a9bc24) at gstringbuffer.c:1380
	diff = 21
	avail = <value optimized out>
	d = <value optimized out>
	d_end = (
    guint8 *) 0xb028e260 "\036Wëÿ`\\\211\033\020/ß\004 %N\035à'\002\n"
	skip = 0
	segdone = <value optimized out>
	segsize = 3528
	segtotal = 21
	bps = 8
	sps = 441
	dest = (guint8 *) 0xb02805e0 "À\v\217&\220£¹\017@¡1)"
	data_end = (guint8 *) 0x0
	writeseg = 17992
	sampleoff = 0
	toprocess = (gint *) 0xb6a9b97c
	inr = 1151
	outr = 1151
	reverse = 0
	__PRETTY_FUNCTION__ = "gst_ring_buffer_commit_full"
#4  0x0577c10f in gst_base_audio_sink_render (bsink=0xa6cc118, buf=0xb1a064b0)
    at gstbaseaudiosink.c:1067
	in_offset = 7933824
	time = <value optimized out>
	stop = 179931428570
	render_start = 179905306122
	render_stop = 179931428570
	sample_offset = 7934472
	sink = (GstBaseAudioSink *) 0xa6cc118
	ringbuf = (GstRingBuffer *) 0xa5d2010
	diff = 140
	ctime = 179905306122
	cstop = 179931428570
	data = (guint8 *) 0xb58b1750 "@\tå$À\177'\027@©S'àf;\032@ô¨& ¹"
	size = <value optimized out>
	samples = 1152
	written = <value optimized out>
	bps = 8
	accum = 0
	out_samples = 1152
	base_time = <value optimized out>
	latency = <value optimized out>
	clock = (GstClock *) 0xa5d2498
	slaved = 0
	align_next = 1
	__PRETTY_FUNCTION__ = "gst_base_audio_sink_render"
#5  0x00d78a48 in gst_base_sink_render_object (basesink=0xa6cc118, 
    pad=0xa69e548, obj=0xb1a064b0) at gstbasesink.c:1695
	do_qos = 0
	ret = <value optimized out>
	bclass = (GstBaseSinkClass *) 0xa6ca178
	late = 0
	priv = (GstBaseSinkPrivate *) 0xa6cc320
	__PRETTY_FUNCTION__ = "gst_base_sink_render_object"
#6  0x00d7a425 in gst_base_sink_queue_object_unlocked (basesink=0xa6cc118, 
    pad=0xa69e548, obj=0xb1a064b0, prerollable=1) at gstbasesink.c:1874
	ret = GST_FLOW_OK
	length = 3809268
	q = (GQueue *) 0xa71aa90
	__PRETTY_FUNCTION__ = "gst_base_sink_queue_object_unlocked"
#7  0x00d7aa86 in gst_base_sink_chain_unlocked (basesink=0xa6cc118, 
    pad=0xa69e548, buf=0xb1a064b0) at gstbasesink.c:2152
	result = <value optimized out>
	start = 179905306122
	end = 179931428570
	clip_segment = (GstSegment *) 0xb586a258
	__PRETTY_FUNCTION__ = "gst_base_sink_chain_unlocked"
#8  0x00d7b03e in gst_base_sink_chain (pad=0xa69e548, buf=0xb1a064b0)
    at gstbasesink.c:2186
	basesink = (GstBaseSink *) 0xa6cc118
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_base_sink_chain"
#9  0x00ddc779 in gst_pad_chain_unchecked (pad=0xa69e548, buffer=0xb1a064b0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd7afe0 <gst_base_sink_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#10 0x00ddce32 in gst_pad_push (pad=0xa6a0710, buffer=0xb1a064b0)
    at gstpad.c:3617
	peer = (GstPad *) 0xa69e548
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#11 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa12f700, buffer=0xb1a064b0)
    at gstghostpad.c:191
	res = -512
#12 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa12f700, buffer=0xb1a064b0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#13 0x00ddce32 in gst_pad_push (pad=0xa67f010, buffer=0xb1a064b0)
    at gstpad.c:3617
	peer = (GstPad *) 0xa12f700
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#14 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67e380, buffer=0xb1a064b0)
    at gstghostpad.c:191
	res = -512
#15 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67e380, buffer=0xb1a064b0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#16 0x00ddce32 in gst_pad_push (pad=0xa69e008, buffer=0xb1a064b0)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67e380
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#17 0x0145ac88 in gst_queue_loop (pad=0xa69e008) at gstqueue.c:935
	queue = (GstQueue *) 0xa1101a8
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_queue_loop"
#18 0x00df6606 in gst_task_func (task=0xb1a05f20, tclass=0xa6fc340)
    at gsttask.c:192
	t = 14640507
	lock = (GStaticRecMutex *) 0xa69bc50
	tself = (GThread *) 0x9e4dcc0
	__PRETTY_FUNCTION__ = "gst_task_func"
#19 0x0101f208 in g_thread_pool_thread_proxy (data=0x9e54478)
    at gthreadpool.c:265
	task = (gpointer) 0xb1a05f20
	pool = (GRealThreadPool *) 0x9e54478
#20 0x0101d84f in g_thread_create_proxy (data=0x9e4dcc0) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#21 0x003922fb in start_thread (arg=0xb6a9cb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb6a9cb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1230388136, -1325994620, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#22 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 7 (Thread -1270883440 (LWP 6144)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00396126 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0145c4df in gst_queue_chain (pad=0xa688700, buffer=0xb1a0e968)
    at gstqueue.c:879
	queue = (GstQueue *) 0xa1101a8
	duration = 26122448
	timestamp = 180950204081
	__PRETTY_FUNCTION__ = "gst_queue_chain"
#3  0x00ddc779 in gst_pad_chain_unchecked (pad=0xa688700, buffer=0xb1a0e968)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x145c340 <gst_queue_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#4  0x00ddce32 in gst_pad_push (pad=0xa69e0c8, buffer=0xb1a0e968)
    at gstpad.c:3617
	peer = (GstPad *) 0xa688700
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#5  0x0145f28b in gst_tee_do_push (pad=0xa69e0c8, ret=0xb43fc9e0, 
    data=0xb43fc9f4) at gsttee.c:408
	res = <value optimized out>
	tee = (GstTee *) 0xa48b8e8
	__PRETTY_FUNCTION__ = "gst_tee_do_push"
#6  0x00dd46b7 in gst_iterator_fold (it=0xb585fe40, 
    func=0x145f230 <gst_tee_do_push>, ret=0xb43fc9e0, user_data=0xb43fc9f4)
    at gstiterator.c:503
	item = (gpointer) 0xa69e0c8
	result = GST_ITERATOR_OK
#7  0x0145dfb6 in gst_tee_handle_buffer (tee=0xa48b8e8, buffer=0xb1a0e968)
    at gsttee.c:447
	iter = (GstIterator *) 0xb585fe40
	data = {tee = 0xa48b8e8, buffer = 0xb1a0e968}
	ret = {g_type = 2980054328, data = {{v_int = -1, v_uint = 4294967295, 
      v_long = -1, v_ulong = 4294967295, v_int64 = 4294967295, 
      v_uint64 = 4294967295, v_float = -nan(0x7fffff), 
      v_double = 2.1219957904712067e-314, v_pointer = 0xffffffff}, {
      v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
      v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	__PRETTY_FUNCTION__ = "gst_tee_handle_buffer"
#8  0x0145e0d2 in gst_tee_chain (pad=0xa688640, buffer=0xb1a0e968)
    at gsttee.c:468
	res = <value optimized out>
#9  0x00ddc779 in gst_pad_chain_unchecked (pad=0xa688640, buffer=0xb1a0e968)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x145e090 <gst_tee_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#10 0x00ddce32 in gst_pad_push (pad=0xa67e540, buffer=0xb1a0e968)
    at gstpad.c:3617
	peer = (GstPad *) 0xa688640
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#11 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67f1a0, buffer=0xb1a0e968)
    at gstghostpad.c:191
	res = -512
#12 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67f1a0, buffer=0xb1a0e968)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#13 0x00ddce32 in gst_pad_push (pad=0xa688040, buffer=0xb1a0e968)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67f1a0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b7a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#14 0x00d86a25 in gst_base_transform_chain (pad=0xa688580, buffer=0xa719698)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa69c020
	ret = GST_FLOW_OK
	last_stop = 180976326529
	outbuf = (GstBuffer *) 0xb1a0e968
#15 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa688580, buffer=0xa719698)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#16 0x00ddce32 in gst_pad_push (pad=0xa67f0d8, buffer=0xa719698)
    at gstpad.c:3617
	peer = (GstPad *) 0xa688580
	ret = <value optimized out>
	caps = (GstCaps *) 0xa753860
	__PRETTY_FUNCTION__ = "gst_pad_push"
#17 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67e460, buffer=0xa719698)
    at gstghostpad.c:191
	res = -512
#18 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67e460, buffer=0xa719698)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#19 0x00ddce32 in gst_pad_push (pad=0xa67f268, buffer=0xa719698)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67e460
	ret = <value optimized out>
	caps = (GstCaps *) 0xa753860
	__PRETTY_FUNCTION__ = "gst_pad_push"
#20 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67e620, buffer=0xa719698)
    at gstghostpad.c:191
	res = -512
#21 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67e620, buffer=0xa719698)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#22 0x00ddce32 in gst_pad_push (pad=0xa6bf058, buffer=0xa719698)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67e620
	ret = <value optimized out>
	caps = (GstCaps *) 0xa753860
	__PRETTY_FUNCTION__ = "gst_pad_push"
#23 0x00d86a25 in gst_base_transform_chain (pad=0xa6a0ee0, buffer=0xa719698)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa40f3f0
	ret = GST_FLOW_OK
	last_stop = 180976326529
	outbuf = (GstBuffer *) 0xa719698
#24 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6a0ee0, buffer=0xa719698)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#25 0x00ddce32 in gst_pad_push (pad=0xa6a0e20, buffer=0xa719698)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6a0ee0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa753860
	__PRETTY_FUNCTION__ = "gst_pad_push"
#26 0x00d86a25 in gst_base_transform_chain (pad=0xa6a0d60, buffer=0xa719698)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa6c4108
	ret = GST_FLOW_OK
	last_stop = 180976326529
	outbuf = (GstBuffer *) 0xa719698
#27 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6a0d60, buffer=0xa719698)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#28 0x00ddce32 in gst_pad_push (pad=0xa6a0ca0, buffer=0xa719698)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6a0d60
	ret = <value optimized out>
	caps = (GstCaps *) 0xa753860
	__PRETTY_FUNCTION__ = "gst_pad_push"
#29 0x00d86a25 in gst_base_transform_chain (pad=0xa6a0be0, buffer=0xb5eda738)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa69c218
	ret = GST_FLOW_OK
	last_stop = 180976326529
	outbuf = (GstBuffer *) 0xa719698
#30 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6a0be0, buffer=0xb5eda738)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#31 0x00ddce32 in gst_pad_push (pad=0xa67f4c0, buffer=0xb5eda738)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6a0be0
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#32 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa69e8e0, buffer=0xb5eda738)
    at gstghostpad.c:191
	res = -512
#33 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa69e8e0, buffer=0xb5eda738)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#34 0x00ddce32 in gst_pad_push (pad=0xb1a4b198, buffer=0xb5eda738)
    at gstpad.c:3617
	peer = (GstPad *) 0xa69e8e0
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#35 0x0145ac88 in gst_queue_loop (pad=0xb1a4b198) at gstqueue.c:935
	queue = (GstQueue *) 0xa110338
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_queue_loop"
#36 0x00df6606 in gst_task_func (task=0xa66f6e8, tclass=0xa6fc340)
    at gsttask.c:192
	t = 14640507
	lock = (GStaticRecMutex *) 0xb5e90938
	tself = (GThread *) 0x9e54720
	__PRETTY_FUNCTION__ = "gst_task_func"
#37 0x0101f208 in g_thread_pool_thread_proxy (data=0x9e54478)
    at gthreadpool.c:265
	task = (gpointer) 0xa66f6e8
	pool = (GRealThreadPool *) 0x9e54478
#38 0x0101d84f in g_thread_create_proxy (data=0x9e54720) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#39 0x003922fb in start_thread (arg=0xb43fdb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb43fdb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1270885288, -1663636095, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#40 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 6 (Thread -1281373296 (LWP 6145)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00396126 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0145c4df in gst_queue_chain (pad=0xb5ebdee8, buffer=0xb5ec56f0)
    at gstqueue.c:879
	queue = (GstQueue *) 0xa110658
	duration = 26122448
	timestamp = 181028571428
	__PRETTY_FUNCTION__ = "gst_queue_chain"
#3  0x00ddc779 in gst_pad_chain_unchecked (pad=0xb5ebdee8, buffer=0xb5ec56f0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x145c340 <gst_queue_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#4  0x00ddce32 in gst_pad_push (pad=0xa69e308, buffer=0xb5ec56f0)
    at gstpad.c:3617
	peer = (GstPad *) 0xb5ebdee8
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#5  0x0145f28b in gst_tee_do_push (pad=0xa69e308, ret=0xb39fbfa0, 
    data=0xb39fbfb4) at gsttee.c:408
	res = <value optimized out>
	tee = (GstTee *) 0xa48b998
	__PRETTY_FUNCTION__ = "gst_tee_do_push"
#6  0x00dd46b7 in gst_iterator_fold (it=0xb5862078, 
    func=0x145f230 <gst_tee_do_push>, ret=0xb39fbfa0, user_data=0xb39fbfb4)
    at gstiterator.c:503
	item = (gpointer) 0xa69e308
	result = GST_ITERATOR_OK
#7  0x0145dfb6 in gst_tee_handle_buffer (tee=0xa48b998, buffer=0xb5ec56f0)
    at gsttee.c:447
	iter = (GstIterator *) 0xb5862078
	data = {tee = 0xa48b998, buffer = 0xb5ec56f0}
	ret = {g_type = 2980054328, data = {{v_int = -1, v_uint = 4294967295, 
      v_long = -1, v_ulong = 4294967295, v_int64 = 4294967295, 
      v_uint64 = 4294967295, v_float = -nan(0x7fffff), 
      v_double = 2.1219957904712067e-314, v_pointer = 0xffffffff}, {
      v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
      v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	__PRETTY_FUNCTION__ = "gst_tee_handle_buffer"
#8  0x0145e0d2 in gst_tee_chain (pad=0xa6a0a60, buffer=0xb5ec56f0)
    at gsttee.c:468
	res = <value optimized out>
#9  0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6a0a60, buffer=0xb5ec56f0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x145e090 <gst_tee_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#10 0x00ddce32 in gst_pad_push (pad=0xb1a30258, buffer=0xb5ec56f0)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6a0a60
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#11 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa12f540, buffer=0xb5ec56f0)
    at gstghostpad.c:191
	res = -512
#12 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa12f540, buffer=0xb5ec56f0)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#13 0x00ddce32 in gst_pad_push (pad=0xa69e6c8, buffer=0xb5ec56f0)
    at gstpad.c:3617
	peer = (GstPad *) 0xa12f540
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#14 0x0145ac88 in gst_queue_loop (pad=0xa69e6c8) at gstqueue.c:935
	queue = (GstQueue *) 0xa1104c8
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_queue_loop"
#15 0x00df6606 in gst_task_func (task=0xa65a1f8, tclass=0xa6fc340)
    at gsttask.c:192
	t = 14640507
	lock = (GStaticRecMutex *) 0xb5864ba0
	tself = (GThread *) 0xb583cf28
	__PRETTY_FUNCTION__ = "gst_task_func"
#16 0x0101f208 in g_thread_pool_thread_proxy (data=0x9e54478)
    at gthreadpool.c:265
	task = (gpointer) 0xa65a1f8
	pool = (GRealThreadPool *) 0x9e54478
#17 0x0101d84f in g_thread_create_proxy (data=0xb583cf28) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#18 0x003922fb in start_thread (arg=0xb39fcb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb39fcb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1281375144, -587797106, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#19 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 5 (Thread -1291863152 (LWP 6146)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x003963ac in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x00e8d033 in g_cond_timed_wait_posix_impl (cond=0xb58683a0, 
    entered_mutex=0x0, abs_time=0x167) at gthread-posix.c:242
	result = <value optimized out>
	end_time = {tv_sec = 1182769734, tv_nsec = 388043000}
	__PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#3  0x00df1158 in gst_system_clock_id_wait_jitter_unlocked (clock=0xa5d2498, 
    entry=0xb1a0e590, jitter=0xb2ffa420, restart=1) at gstsystemclock.c:398
	tv = {tv_sec = 1182769734, tv_usec = 388043}
	entryt = 179983673469
	real = <value optimized out>
	now = 178994875283
	target = 388043186
	__PRETTY_FUNCTION__ = "gst_system_clock_id_wait_jitter_unlocked"
#4  0x00df177d in gst_system_clock_id_wait_jitter (clock=0xa5d2498, 
    entry=0xb1a0e590, jitter=0xb2ffa420) at gstsystemclock.c:448
	ret = <value optimized out>
#5  0x00dc1e59 in gst_clock_id_wait (id=0xb1a0e590, jitter=0xb2ffa420)
    at gstclock.c:393
	clock = (GstClock *) 0xa5d2498
	res = <value optimized out>
	requested = <value optimized out>
	cclass = (GstClockClass *) 0xa6cba90
	__PRETTY_FUNCTION__ = "gst_clock_id_wait"
#6  0x00d78902 in gst_base_sink_render_object (basesink=0xa68c2a8, 
    pad=0xb5ebdd68, obj=0xb1a095f8) at gstbasesink.c:1188
	ret = <value optimized out>
	bclass = <value optimized out>
	late = <value optimized out>
	priv = (GstBaseSinkPrivate *) 0xa68c4a8
	__PRETTY_FUNCTION__ = "gst_base_sink_render_object"
#7  0x00d7a425 in gst_base_sink_queue_object_unlocked (basesink=0xa68c2a8, 
    pad=0xb5ebdd68, obj=0xb1a095f8, prerollable=1) at gstbasesink.c:1874
	ret = GST_FLOW_OK
	length = 16635738
	q = (GQueue *) 0xb5ea1ac0
	__PRETTY_FUNCTION__ = "gst_base_sink_queue_object_unlocked"
#8  0x00d7aa86 in gst_base_sink_chain_unlocked (basesink=0xa68c2a8, 
    pad=0xb5ebdd68, buf=0xb1a095f8) at gstbasesink.c:2152
	result = <value optimized out>
	start = 179983673469
	end = 180983673469
	clip_segment = (GstSegment *) 0xb5ead518
	__PRETTY_FUNCTION__ = "gst_base_sink_chain_unlocked"
#9  0x00d7b03e in gst_base_sink_chain (pad=0xb5ebdd68, buf=0xb1a095f8)
    at gstbasesink.c:2186
	basesink = (GstBaseSink *) 0xa68c2a8
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_base_sink_chain"
#10 0x00ddc779 in gst_pad_chain_unchecked (pad=0xb5ebdd68, buffer=0xb1a095f8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd7afe0 <gst_base_sink_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#11 0x00ddce32 in gst_pad_push (pad=0xb1a30578, buffer=0xb1a095f8)
    at gstpad.c:3617
	peer = (GstPad *) 0xb5ebdd68
	ret = <value optimized out>
	caps = (GstCaps *) 0xa673740
	__PRETTY_FUNCTION__ = "gst_pad_push"
#12 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa12f620, buffer=0xb1a095f8)
    at gstghostpad.c:191
	res = -516
#13 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa12f620, buffer=0xb1a095f8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#14 0x00ddce32 in gst_pad_push (pad=0xa407cc0, buffer=0xb1a095f8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa12f620
	ret = <value optimized out>
	caps = (GstCaps *) 0xa673740
	__PRETTY_FUNCTION__ = "gst_pad_push"
#15 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67e000, buffer=0xb1a095f8)
    at gstghostpad.c:191
	res = -516
#16 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67e000, buffer=0xb1a095f8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#17 0x00ddce32 in gst_pad_push (pad=0xa6bf358, buffer=0xb1a095f8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67e000
	ret = <value optimized out>
	caps = (GstCaps *) 0xa673740
	__PRETTY_FUNCTION__ = "gst_pad_push"
#18 0x00d86a25 in gst_base_transform_chain (pad=0xa6bf298, buffer=0xb1a095f8)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa6f9160
	ret = GST_FLOW_OK
	last_stop = 180983673469
	outbuf = (GstBuffer *) 0xb1a095f8
#19 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6bf298, buffer=0xb1a095f8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#20 0x00ddce32 in gst_pad_push (pad=0xa6bf1d8, buffer=0xb1a095f8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6bf298
	ret = <value optimized out>
	caps = (GstCaps *) 0xa673740
	__PRETTY_FUNCTION__ = "gst_pad_push"
#21 0x00d86a25 in gst_base_transform_chain (pad=0xa6884c0, buffer=0xb584cf78)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0x9e94258
	ret = GST_FLOW_OK
	last_stop = 180983673469
	outbuf = (GstBuffer *) 0xb1a095f8
#22 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6884c0, buffer=0xb584cf78)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#23 0x00ddce32 in gst_pad_push (pad=0xa6bf4d8, buffer=0xb584cf78)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6884c0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6ff160
	__PRETTY_FUNCTION__ = "gst_pad_push"
#24 0x00d86a25 in gst_base_transform_chain (pad=0xa6bf418, buffer=0xb584cf78)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa6fa028
	ret = GST_FLOW_OK
	last_stop = 180983673469
	outbuf = (GstBuffer *) 0xb584cf78
#25 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6bf418, buffer=0xb584cf78)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#26 0x00ddce32 in gst_pad_push (pad=0xa67f650, buffer=0xb584cf78)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6bf418
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6ff160
	__PRETTY_FUNCTION__ = "gst_pad_push"
#27 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa69eaa0, buffer=0xb584cf78)
    at gstghostpad.c:191
	res = -516
#28 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa69eaa0, buffer=0xb584cf78)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#29 0x00ddce32 in gst_pad_push (pad=0xa67e1c0, buffer=0xb584cf78)
    at gstpad.c:3617
	peer = (GstPad *) 0xa69eaa0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6ff160
	__PRETTY_FUNCTION__ = "gst_pad_push"
#30 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa407e50, buffer=0xb584cf78)
    at gstghostpad.c:191
	res = -516
#31 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa407e50, buffer=0xb584cf78)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#32 0x00ddce32 in gst_pad_push (pad=0xa688280, buffer=0xb584cf78)
    at gstpad.c:3617
	peer = (GstPad *) 0xa407e50
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6ff160
	__PRETTY_FUNCTION__ = "gst_pad_push"
#33 0x00d86a25 in gst_base_transform_chain (pad=0xa6881c0, buffer=0xb584cf78)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa695060
	ret = GST_FLOW_OK
	last_stop = 180983673469
	outbuf = (GstBuffer *) 0xb584cf78
#34 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6881c0, buffer=0xb584cf78)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#35 0x00ddce32 in gst_pad_push (pad=0xa688400, buffer=0xb584cf78)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6881c0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6ff160
	__PRETTY_FUNCTION__ = "gst_pad_push"
#36 0x03e1a981 in ?? ()
   from /usr/lib/rhythmbox/plugins/visualizer/libvisualizer.so
No symbol table info available.
#37 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa688340, buffer=0xb584ccf8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x3e1a7c0
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#38 0x00ddce32 in gst_pad_push (pad=0xa407f18, buffer=0xb584ccf8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa688340
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b600
	__PRETTY_FUNCTION__ = "gst_pad_push"
#39 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa67e2a0, buffer=0xb584ccf8)
    at gstghostpad.c:191
	res = -516
#40 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa67e2a0, buffer=0xb584ccf8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#41 0x00ddce32 in gst_pad_push (pad=0xa7e7800, buffer=0xb584ccf8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa67e2a0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa74b600
	__PRETTY_FUNCTION__ = "gst_pad_push"
#42 0x00d86a25 in gst_base_transform_chain (pad=0xb1a4b558, buffer=0xb5834a88)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa69c608
	ret = GST_FLOW_OK
	last_stop = 180009795917
	outbuf = (GstBuffer *) 0xb584ccf8
#43 0x00ddc779 in gst_pad_chain_unchecked (pad=0xb1a4b558, buffer=0xb5834a88)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#44 0x00ddce32 in gst_pad_push (pad=0xb1a4b498, buffer=0xb5834a88)
    at gstpad.c:3617
	peer = (GstPad *) 0xb1a4b558
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#45 0x00d86a25 in gst_base_transform_chain (pad=0xb1a4b3d8, buffer=0xb5834a88)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa6c4678
	ret = GST_FLOW_OK
	last_stop = 180009795917
	outbuf = (GstBuffer *) 0xb5834a88
#46 0x00ddc779 in gst_pad_chain_unchecked (pad=0xb1a4b3d8, buffer=0xb5834a88)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#47 0x00ddce32 in gst_pad_push (pad=0xb1a4b318, buffer=0xb5834a88)
    at gstpad.c:3617
	peer = (GstPad *) 0xb1a4b3d8
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#48 0x00d86a25 in gst_base_transform_chain (pad=0xb1a4b258, buffer=0xb5834a88)
    at gstbasetransform.c:1604
	trans = (GstBaseTransform *) 0xa69c410
	ret = GST_FLOW_OK
	last_stop = 180009795917
	outbuf = (GstBuffer *) 0xb5834a88
#49 0x00ddc779 in gst_pad_chain_unchecked (pad=0xb1a4b258, buffer=0xb5834a88)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xd86940 <gst_base_transform_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#50 0x00ddce32 in gst_pad_push (pad=0xa690608, buffer=0xb5834a88)
    at gstpad.c:3617
	peer = (GstPad *) 0xb1a4b258
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#51 0x0145ac88 in gst_queue_loop (pad=0xa690608) at gstqueue.c:935
	queue = (GstQueue *) 0xa110658
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_queue_loop"
#52 0x00df6606 in gst_task_func (task=0xa66f468, tclass=0xa6fc340)
    at gsttask.c:192
	t = 14640507
	lock = (GStaticRecMutex *) 0xb5e8b2a0
	tself = (GThread *) 0xb5ee43d8
	__PRETTY_FUNCTION__ = "gst_task_func"
#53 0x0101f208 in g_thread_pool_thread_proxy (data=0x9e54478)
    at gthreadpool.c:265
	task = (gpointer) 0xa66f468
	pool = (GRealThreadPool *) 0x9e54478
#54 0x0101d84f in g_thread_create_proxy (data=0xb5ee43d8) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#55 0x003922fb in start_thread (arg=0xb2ffbb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb2ffbb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1291865000, 471264652, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#56 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 4 (Thread -1302353008 (LWP 6147)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00396126 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0145c4df in gst_queue_chain (pad=0xb5ebda68, buffer=0xb1a0c280)
    at gstqueue.c:879
	queue = (GstQueue *) 0xa1104c8
	duration = 26122448
	timestamp = 184032653061
	__PRETTY_FUNCTION__ = "gst_queue_chain"
#3  0x00ddc779 in gst_pad_chain_unchecked (pad=0xb5ebda68, buffer=0xb1a0c280)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x145c340 <gst_queue_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#4  0x00ddce32 in gst_pad_push (pad=0xb1a4b0d8, buffer=0xb1a0c280)
    at gstpad.c:3617
	peer = (GstPad *) 0xb5ebda68
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#5  0x0631a365 in gst_stream_selector_chain (pad=0xb5ebd9a8, buf=0xb1a0c280)
    at gststreamselector.c:408
	sel = (GstStreamSelector *) 0x9e38c80
	res = <value optimized out>
	active_sinkpad = (GstPad *) 0xb5ebd9a8
	__PRETTY_FUNCTION__ = "gst_stream_selector_chain"
#6  0x00ddc779 in gst_pad_chain_unchecked (pad=0xb5ebd9a8, buffer=0xb1a0c280)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (
    GstPadChainFunction) 0x631a2f0 <gst_stream_selector_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#7  0x00ddce32 in gst_pad_push (pad=0xa12f460, buffer=0xb1a0c280)
    at gstpad.c:3617
	peer = (GstPad *) 0xb5ebd9a8
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#8  0x00dce04a in gst_proxy_pad_do_chain (pad=0xa7e6990, buffer=0xb1a0c280)
    at gstghostpad.c:191
	res = -512
#9  0x00ddc779 in gst_pad_chain_unchecked (pad=0xa7e6990, buffer=0xb1a0c280)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#10 0x00ddce32 in gst_pad_push (pad=0xb1a4b018, buffer=0xb1a0c280)
    at gstpad.c:3617
	peer = (GstPad *) 0xa7e6990
	ret = <value optimized out>
	caps = (GstCaps *) 0x9e32820
	__PRETTY_FUNCTION__ = "gst_pad_push"
#11 0x04f2d4e7 in ?? () from /usr/lib/gstreamer-0.10/libgstmad.so
No symbol table info available.
#12 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa7e7ec0, buffer=0xa7196e8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x4f2c580
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#13 0x00ddce32 in gst_pad_push (pad=0xa69e188, buffer=0xa7196e8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa7e7ec0
	ret = <value optimized out>
	caps = (GstCaps *) 0xa646020
	__PRETTY_FUNCTION__ = "gst_pad_push"
#14 0x05337810 in ?? () from /usr/lib/gstreamer-0.10/libgstid3demux.so
No symbol table info available.
#15 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa6fec80, buffer=0xa7196e8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0x5337480
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#16 0x00ddce32 in gst_pad_push (pad=0xa700350, buffer=0xa7196e8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa6fec80
	ret = <value optimized out>
	caps = (GstCaps *) 0xa6927a0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#17 0x01460592 in gst_type_find_element_chain (pad=0xa7e7e00, 
    buffer=0xa7196e8) at gsttypefindelement.c:570
	caps = (const GstCaps *) 0xe407f4
	typefind = (GstTypeFindElement *) 0xa628988
	res = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_type_find_element_chain"
#18 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa7e7e00, buffer=0xa7196e8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (
    GstPadChainFunction) 0x14602c0 <gst_type_find_element_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#19 0x00ddce32 in gst_pad_push (pad=0xa7e68c8, buffer=0xa7196e8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa7e7e00
	ret = <value optimized out>
	caps = (GstCaps *) 0x0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#20 0x00dce04a in gst_proxy_pad_do_chain (pad=0xa693620, buffer=0xa7196e8)
    at gstghostpad.c:191
	res = -512
#21 0x00ddc779 in gst_pad_chain_unchecked (pad=0xa693620, buffer=0xa7196e8)
    at gstpad.c:3451
	caps = <value optimized out>
	caps_changed = 0
	chainfunc = (GstPadChainFunction) 0xdce020 <gst_proxy_pad_do_chain>
	ret = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_chain_unchecked"
#22 0x00ddce32 in gst_pad_push (pad=0xa700290, buffer=0xa7196e8)
    at gstpad.c:3617
	peer = (GstPad *) 0xa693620
	ret = <value optimized out>
	caps = (GstCaps *) 0x0
	__PRETTY_FUNCTION__ = "gst_pad_push"
#23 0x00d81d92 in gst_base_src_loop (pad=0xa700290) at gstbasesrc.c:1770
	start = 65529336934933048
	duration = 12853170703976890438
	src = (GstBaseSrc *) 0xa643e08
	buf = (GstBuffer *) 0xa7196e8
	ret = <value optimized out>
	position = <value optimized out>
	eos = 0
	__PRETTY_FUNCTION__ = "gst_base_src_loop"
#24 0x00df6606 in gst_task_func (task=0xa65a338, tclass=0xa6fc340)
    at gsttask.c:192
	t = 14640507
	lock = (GStaticRecMutex *) 0xb5e9c8d0
	tself = (GThread *) 0xb5ee5d08
	__PRETTY_FUNCTION__ = "gst_task_func"
#25 0x0101f208 in g_thread_pool_thread_proxy (data=0x9e54478)
    at gthreadpool.c:265
	task = (gpointer) 0xa65a338
	pool = (GRealThreadPool *) 0x9e54478
#26 0x0101d84f in g_thread_create_proxy (data=0xb5ee5d08) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#27 0x003922fb in start_thread (arg=0xb25fab90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb25fab90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1302354856, 1547103629, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#28 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 3 (Thread -1260393584 (LWP 6390)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00399506 in nanosleep () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0101faa2 in IA__g_usleep (microseconds=50000) at gtimer.c:170
	request = {tv_sec = 0, tv_nsec = 50000000}
	remaining = {tv_sec = -516, tv_nsec = 17375768}
#3  0x01ad979c in gst_xvimagesink_event_thread (xvimagesink=0xa68c2a8)
    at xvimagesink.c:1515
	__PRETTY_FUNCTION__ = "gst_xvimagesink_event_thread"
#4  0x0101d84f in g_thread_create_proxy (data=0xb5eafbd8) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#5  0x003922fb in start_thread (arg=0xb4dfeb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb4dfeb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1260395432, 1555492224, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 2 (Thread -1327498352 (LWP 6392)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0790db73 in *__GI___poll (fds=0x7996ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x07a6b264 in snd_pcm_wait_nocheck () from /lib/libasound.so.2
No symbol table info available.
#3  0x07a6b44f in snd_pcm_wait () from /lib/libasound.so.2
No symbol table info available.
#4  0x07a6d3a8 in snd_pcm_write_areas () from /lib/libasound.so.2
No symbol table info available.
#5  0x07a799cc in ?? () from /lib/libasound.so.2
No symbol table info available.
#6  0x07a65815 in snd_pcm_writei () from /lib/libasound.so.2
No symbol table info available.
#7  0x024ecdf7 in gst_alsasink_write (asink=0xa6cc118, data=0xb028e260, 
    length=3528) at gstalsasink.c:786
	alsa = (GstAlsaSink *) 0xa6cc118
	cptr = 441
	ptr = (gint16 *) 0xb028e260
	__PRETTY_FUNCTION__ = "gst_alsasink_write"
#8  0x05778ffa in audioringbuffer_thread_func (buf=0xa5d2010)
    at gstaudiosink.c:226
	written = -1339497888
	left = 3528
	len = 3528
	readptr = (
    guint8 *) 0xb028e260 "\036Wëÿ`\\\211\033\020/ß\004 %N\035à'\002\n"
	readseg = 16
	sink = (GstAudioSink *) 0xa6cc118
	writefunc = (WriteFunc) 0x24ecd50 <gst_alsasink_write>
	__PRETTY_FUNCTION__ = "audioringbuffer_thread_func"
#9  0x0101d84f in g_thread_create_proxy (data=0xb585b128) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#10 0x003922fb in start_thread (arg=0xb0dffb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb0dffb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {3809268, 0, 4001536, 
        -1327500200, 1553395080, -1858831127}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#11 0x0791793e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7956bf0

Thread 1 (Thread -1209013456 (LWP 6129)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00399c5b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x004908d6 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:865
	estatus = -1314721616
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {15210100, 174525152, 174528768, 3216207896, 15113365, 
      174528768, 2980245680, 68, 1689848, 2980245680, 80, 0, 15210100, 
      2980245688, 2980245680, 3216207944, 14992033, 2980245680, 4294967295, 
      0, 0, 0, 4, 2980245684, 15210100, 3216208204, 2980245680, 3216207960, 
      14992680, 2980245680, 2980245680, 3216207992}}, sa_flags = 15124876, 
  sa_restorer = 0xbfb3714c}
	pid = 0
	in_segv = 1
#3  <signal handler called>
No symbol table info available.
#4  0x0019bd02 in soup_connection_disconnect (conn=0xb1a2f0b0)
    at soup-connection.c:699
	__PRETTY_FUNCTION__ = "soup_connection_disconnect"
#5  0x0019bd6d in socket_disconnected (sock=0xb1a2f0f8, conn=0xb1a2f0b0)
    at soup-connection.c:433
No locals.
#6  0x00e578c9 in IA__g_cclosure_marshal_VOID__VOID (closure=0xb1a0a870, 
    return_value=0x0, n_param_values=1, param_values=0xbfb3762c, 
    invocation_hint=0xbfb3750c, marshal_data=0x19bd50) at gmarshal.c:77
	data1 = (gpointer) 0xb1a2f0f8
	data2 = (gpointer) 0xaaaaaaaa
	__PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#7  0x00e49eb3 in IA__g_closure_invoke (closure=0xb1a0a870, return_value=0x0, 
    n_param_values=1, param_values=0xbfb3762c, invocation_hint=0xbfb3750c)
    at gclosure.c:490
	marshal = (
    GClosureMarshal) 0xe57880 <IA__g_cclosure_marshal_VOID__VOID>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#8  0x00e5b9ed in signal_emit_unlocked_R (node=0xa40d8c8, detail=0, 
    instance=0xb1a2f0f8, emission_return=0x0, instance_and_params=0xbfb3762c)
    at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0xa71e900
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x0, instance = 0xb1a2f0f8, ihint = {
    signal_id = 394, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0xa66fc78
	handler_list = (Handler *) 0xa71e900
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 394
	max_sequential_handler_number = 4156
	return_value_altered = 0
#9  0x00e5ce53 in IA__g_signal_emit_valist (instance=0xb1a2f0f8, 
    signal_id=394, detail=0, var_args=0xbfb3786c "\225Îè") at gsignal.c:2199
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 4304033, v_long = 4304033, 
    v_int64 = 103083519137, v_double = 5.0930025458010403e-313, 
    v_pointer = 0x41aca1}, {v_int = 32, v_long = 32, 
    v_int64 = 65335592262565920, v_double = 2.7476880810240933e-304, 
    v_pointer = 0x20}, {v_int = 15210100, v_long = 15210100, 
    v_int64 = 711266478521325172, v_double = 3.9285256713993998e-261, 
    v_pointer = 0xe81674}, {v_int = 174629920, v_long = 174629920, 
    v_int64 = -4633227959301790688, v_double = -0.076045515576553147, 
    v_pointer = 0xa68a420}, {v_int = 4304033, v_long = 4304033, 
    v_int64 = 4304033, v_double = 2.1264748438670379e-317, 
    v_pointer = 0x41aca1}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, 
    v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, 
    v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, 
    v_pointer = 0x0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 2, data = {{v_int = -1078757384, 
      v_uint = 3216209912, v_long = -1078757384, v_ulong = 3216209912, 
      v_int64 = 16140077997717496, v_uint64 = 16140077997717496, 
      v_float = -1.40209866, v_double = 1.4096441371423941e-307, 
      v_pointer = 0xbfb377f8}, {v_int = -1078757352, v_uint = 3216209944, 
      v_long = -1078757352, v_ulong = 3216209944, 
      v_int64 = 71448948848687128, v_uint64 = 71448948848687128, 
      v_float = -1.40210247, v_double = 6.798437643884913e-304, 
      v_pointer = 0xbfb37818}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbfb3762c
	stack_values = {{g_type = 174068168, data = {{v_int = -1314721544, 
        v_uint = 2980245752, v_long = -1314721544, v_ulong = 2980245752, 
        v_int64 = 2980245752, v_uint64 = 2980245752, 
        v_float = -4.74221551e-09, v_double = 1.4724370422275115e-314, 
        v_pointer = 0xb1a2f0f8}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 546864888580931584, 
        v_uint64 = 546864888580931584, v_float = 0, 
        v_double = 4.2246738329067623e-272, v_pointer = 0x0}, {
        v_int = -1078757736, v_uint = 3216209560, v_long = -1078757736, 
        v_ulong = 3216209560, v_int64 = 543569414930527896, 
        v_uint64 = 543569414930527896, v_float = -1.40205669, 
        v_double = 2.5090407190985666e-272, v_pointer = 0xbfb37698}}}, {
    g_type = 3051356176, data = {{v_int = -1249504096, v_uint = 3045463200, 
        v_long = -1249504096, v_ulong = 3045463200, 
        v_int64 = 725361121108038816, v_uint64 = 725361121108038816, 
        v_float = -9.98978066e-07, v_double = 3.4552725356213346e-260, 
        v_pointer = 0xb58614a0}, {v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = -4633229058988048383, 
        v_uint64 = 13813515014721503233, v_float = 1.40129846e-45, 
        v_double = -0.076030254364013686, v_pointer = 0x1}}}, {
    g_type = 3045064704, data = {{v_int = 168886296, v_uint = 168886296, 
        v_long = 168886296, v_ulong = 168886296, 
        v_int64 = 543500971579342872, v_uint64 = 543500971579342872, 
        v_float = 6.98151368e-33, v_double = 2.486566458799117e-272, 
        v_pointer = 0xa110018}, {v_int = -1078757720, v_uint = 3216209576, 
        v_long = -1078757720, v_ulong = 3216209576, 
        v_int64 = 74628358519092904, v_uint64 = 74628358519092904, 
        v_float = -1.4020586, v_double = 1.1453072251944004e-303, 
        v_pointer = 0xbfb376a8}}}, {g_type = 3045463200, data = {{
        v_int = 127496180, v_uint = 127496180, v_long = 127496180, 
        v_ulong = 127496180, v_int64 = -5341269089214435340, 
        v_uint64 = 13105474984495116276, v_float = 2.30866815e-34, 
        v_double = -3.4211911282056436e-49, v_pointer = 0x7996ff4}, {
        v_int = -1243050504, v_uint = 3051916792, v_long = -1243050504, 
        v_ulong = 3051916792, v_int64 = -4633228918497178120, 
        v_uint64 = 13813515155212373496, v_float = -1.73266653e-06, 
        v_double = -0.076032204066500131, v_pointer = 0xb5e88df8}}}, {
    g_type = 126543681, data = {{v_int = -1243611120, v_uint = 3051356176, 
        v_long = -1243611120, v_ulong = 3051356176, 
        v_int64 = 546864891632287760, v_uint64 = 546864891632287760, 
        v_float = -1.66893187e-06, v_double = 4.2246758368113573e-272, 
        v_pointer = 0xb5e00010}, {v_int = 14938692, v_uint = 14938692, 
        v_long = 14938692, v_ulong = 14938692, 
        v_int64 = -5366579228523105724, v_uint64 = 13080164845186445892, 
        v_float = 2.09335662e-38, v_double = -7.3770198514154522e-51, 
        v_pointer = 0xe3f244}}}, {g_type = 3216209624, data = {{
        v_int = -1243611136, v_uint = 3051356160, v_long = -1243611136, 
        v_ulong = 3051356160, v_int64 = -5366579225486688256, 
        v_uint64 = 13080164848222863360, v_float = -1.66893005e-06, 
        v_double = -7.3770234554789237e-51, v_pointer = 0xb5e00000}, {
        v_int = 24, v_uint = 24, v_long = 24, v_ulong = 24, 
        v_int64 = -4633228852829618152, v_uint64 = 13813515220879933464, 
        v_float = 3.36311631e-44, v_double = -0.076033115386963224, 
        v_pointer = 0x18}}}, {g_type = 127326904, data = {{
        v_int = -1243050504, v_uint = 3051916792, v_long = -1243050504, 
        v_ulong = 3051916792, v_int64 = 7346884088, v_uint64 = 7346884088, 
        v_float = -1.73266653e-06, v_double = 3.6298430318584976e-314, 
        v_pointer = 0xb5e88df8}, {v_int = -1078757640, v_uint = 3216209656, 
        v_long = -1078757640, v_ulong = 3216209656, 
        v_int64 = 16164151289411320, v_uint64 = 16164151289411320, 
        v_float = -1.40206814, v_double = 1.4144016517056877e-307, 
        v_pointer = 0xbfb376f8}}}, {g_type = 3752577, data = {{v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = -4633228784110141439, 
        v_uint64 = 13813515289599410177, v_float = 1.40129846e-45, 
        v_double = -0.076034069061279311, v_pointer = 0x1}, {
        v_int = 15257237, v_uint = 15257237, v_long = 15257237, 
        v_ulong = 15257237, v_int64 = 16117195505979029, 
        v_uint64 = 16117195505979029, v_float = 2.13799428e-38, 
        v_double = 1.405121955918705e-307, v_pointer = 0xe8ce95}}}, {
    g_type = 17375768, data = {{v_int = -1078757560, v_uint = 3216209736, 
        v_long = -1078757560, v_ulong = 3216209736, 
        v_int64 = 72451231006816072, v_uint64 = 72451231006816072, 
        v_float = -1.40207767, v_double = 7.9284022862410841e-304, 
        v_pointer = 0xbfb37748}, {v_int = 6129, v_uint = 6129, v_long = 6129, 
        v_ulong = 6129, v_int64 = 547591923464935409, 
        v_uint64 = 547591923464935409, v_float = 8.58855829e-42, 
        v_double = 4.7021364628621857e-272, v_pointer = 0x17f1}}}, {
    g_type = 3051356176, data = {{v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = 16135796994080769, 
        v_uint64 = 16135796994080769, v_float = 1.40129846e-45, 
        v_double = 1.4087980984117428e-307, v_pointer = 0x1}, {
        v_int = 17375768, v_uint = 17375768, v_long = 17375768, 
        v_ulong = 17375768, v_int64 = 65335592279941656, 
        v_uint64 = 65335592279941656, v_float = 2.5187387e-38, 
        v_double = 2.7476880880567239e-304, v_pointer = 0x1092218}}}, {
    g_type = 1, data = {{v_int = -1078757592, v_uint = 3216209704, 
        v_long = -1078757592, v_ulong = 3216209704, 
        v_int64 = 74628358519093032, v_uint64 = 74628358519093032, 
        v_float = -1.40207386, v_double = 1.1453072251944212e-303, 
        v_pointer = 0xbfb37728}, {v_int = 15212128, v_uint = 15212128, 
        v_long = 15212128, v_ulong = 15212128, v_int64 = 16140006077242976, 
        v_uint64 = 16140006077242976, v_float = 2.13167316e-38, 
        v_double = 1.4096299237681169e-307, v_pointer = 0xe81e60}}}, {
    g_type = 3216209720, data = {{v_int = 3757904, v_uint = 3757904, 
        v_long = 3757904, v_ulong = 3757904, v_int64 = -4633228371789523120, 
        v_uint64 = 13813515701920028496, v_float = 5.2659451e-39, 
        v_double = -0.076039791159329129, v_pointer = 0x395750}, {
        v_int = 16895592, v_uint = 16895592, v_long = 16895592, 
        v_ulong = 16895592, v_int64 = 65335609459330664, 
        v_uint64 = 65335609459330664, v_float = 2.38416472e-38, 
        v_double = 2.747695041218186e-304, v_pointer = 0x101ce68}}}, {
    g_type = 174207568, data = {{v_int = 15212160, v_uint = 15212160, 
        v_long = 15212160, v_ulong = 15212160, v_int64 = 65326882084101760, 
        v_uint64 = 65326882084101760, v_float = 2.13167764e-38, 
        v_double = 2.744162735786456e-304, v_pointer = 0xe81e80}, {
        v_int = 165604632, v_uint = 165604632, v_long = 165604632, 
        v_ulong = 165604632, v_int64 = 750029795468700952, 
        v_uint64 = 750029795468700952, v_float = 5.36675178e-33, 
        v_double = 1.6026329552103343e-258, v_pointer = 0x9deed18}}}, {
    g_type = 3216209800, data = {{v_int = 15112838, v_uint = 15112838, 
        v_long = 15112838, v_ulong = 15112838, v_int64 = 65335592277678726, 
        v_uint64 = 65335592277678726, v_float = 2.11775967e-38, 
        v_double = 2.7476880871408289e-304, v_pointer = 0xe69a86}, {
        v_int = 3, v_uint = 3, v_long = 3, v_ulong = 3, 
        v_int64 = 34359738371, v_uint64 = 34359738371, 
        v_float = 4.20389539e-45, v_double = 1.6975966329204375e-313, 
        v_pointer = 0x3}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbfb37640
	node = (SignalNode *) 0xa40d8c8
	i = 0
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#10 0x00e5d0f9 in IA__g_signal_emit (instance=0xb1a2f0f8, signal_id=394, 
    detail=0) at gsignal.c:2243
	var_args = 0xbfb3786c "\225Îè"
#11 0x001b0e60 in soup_socket_disconnect (sock=0xb1a2f0f8)
    at soup-socket.c:977
	priv = (SoupSocketPrivate *) 0xb1a2f108
	already_disconnected = 0
	__PRETTY_FUNCTION__ = "soup_socket_disconnect"
#12 0x001b0fc0 in socket_read_watch (chan=0xb1a0f478, 
    cond=<value optimized out>, user_data=0xb1a2f0f8) at soup-socket.c:1071
No locals.
#13 0x0102982d in g_io_unix_dispatch (source=0xb1a04220, 
    callback=0x1b0f80 <socket_read_watch>, user_data=0xb1a2f0f8)
    at giounix.c:162
	buffer_condition = G_IO_IN
#14 0x00ffa0ec in IA__g_main_context_dispatch (context=0x9e98f00)
    at gmain.c:2061
No locals.
#15 0x00ffd52f in g_main_context_iterate (context=0x9e98f00, block=1, 
    dispatch=1, self=0x9dd6410) at gmain.c:2694
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = 199
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0xa6b9c00
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#16 0x00ffd8d9 in IA__g_main_loop_run (loop=0xa0ad658) at gmain.c:2898
	got_ownership = 3752560
	self = (GThread *) 0x9dd6410
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#17 0x007e9314 in IA__gtk_main () at gtkmain.c:1144
	tmp_list = (GList *) 0x9ea587c
	functions = (GList *) 0x0
	init = (GtkInitFunction *) 0x9ec5008
	loop = (GMainLoop *) 0xa0ad658
#18 0x08060cf3 in main ()
No symbol table info available.
#0  0x0012d402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (20 sec old) ---------------------
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchAlbums' to action group 'AutoPlaylistActions'
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchTitles' to action group 'AutoPlaylistActions'
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchAll' to action group 'AutoPlaylistActions'
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchArtists' to action group 'AutoPlaylistActions'
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchAlbums' to action group 'AutoPlaylistActions'
(rhythmbox:6129): Gtk-WARNING **: Refusing to add non-unique action
'AutoPlaylistSearchTitles' to action group 'AutoPlaylistActions'



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
libsoup-2.2.100-1.fc7
Comment 1 Bastien Nocera 2007-08-20 10:08:34 EDT
Seems to crash in soup_socket_disconnect(), which I believe only the DAAP plugin
uses. Can you reproduce this problem with a current rawhide installation?

Were you playing (or did you play before, but in the same Rhythmbox run) files
from a DAAP share when this happens?
Comment 2 sangu 2007-10-14 13:20:26 EDT
This problem doesn't have happened at the recent rawhide.

(In reply to comment #1)
> Were you playing (or did you play before, but in the same Rhythmbox run) files
> from a DAAP share when this happens?

I don't use daap plugin.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.